using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class InterfacesLogicCatalogos
    {

        #region Constructor

        private CatalogosPersonaDataAccess InterfacesDA;

        private AreaDataAccess AreaDA;

        public InterfacesLogicCatalogos()
        {
            InterfacesDA = new CatalogosPersonaDataAccess();

        }

        #endregion


        #region Consulta


        public List<Interfaces> ListadoRelacionAcreditado()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoRelacionAcreditado();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }



        public List<Interfaces> ListadoSectorLaboral()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoSectorLaboral();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListadoTipoDeudorRelacionado()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoTipoDeudorRelacionado();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoComprobanteIngresos()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoComprobanteIngresos();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoComprobanteIngresosInividual()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoComprobanteIngresosInividual();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListaActividades()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoActividades();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListadoPaises()
        {
            List<Interfaces> results = null;
            try
            {
                results = InterfacesDA.ListadoPaises();
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListaEstados()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoEstados();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListaMunicipios(short shEstadoID)
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoMunicipios(shEstadoID);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListaLocalidades(short shEstadoID)
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoLocalidades(shEstadoID);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }



        public List<Interfaces> ListaColonias(string strCP)
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoColonias(strCP);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListaTipoDomicilio()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTipoDomicilio();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }




        public List<Interfaces> ListaPersonalidadJuridica()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoPersonalidadJuridica();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> listaRegimenFiscal()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoRegimenFiscal();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListaSector()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoSector();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoTamDeudor()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTamDeudor();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoTipoGarantia(int negocio)
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTipoGarantia(negocio);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoMoneda()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoMoneda();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoInstitucion()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoInstitucion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoTipoAval()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTipoAval();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoIndustria()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoIndustria();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoGradoRiesgo()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoGradoRiesgo();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }




        public List<Interfaces> ListadoEjecutivosBancarios()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoEjecutivosBancarios();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoSucursalesBancarias()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoSucursalesBancarias();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoPeriodicidadInt()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoPeriodicidadInt();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoTipoCreditoR04A()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTipoCreditoR04A();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoPreferencia()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoPreferencia();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Interfaces> ListadoTipoLineaRevoca()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoTipoLineaRevoca();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListadoDestinoCredito()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListadoDestinoCredito();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarTasaReferencia
        public List<Interfaces> ListarTasaReferencia()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTasaReferencia();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListaClasificacionLegal
        public List<Interfaces> ListaClasificacionLegal()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListaClasificacionLegal();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarCatReestructura
        public List<Interfaces> ListarReestructura()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListaReestructura();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListaNumeroAgrupacion
        public List<Interfaces> ListaNumeroAgrupacion()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListaNumeroAgrupacion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarOperacionFormalizada
        public List<Interfaces> ListarOperacionFormalizada()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarOperacionFormalizada();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarInformacionRecuperacion
        public List<Interfaces> ListarInformacionRecuperacion()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarInformacionRecuperacion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarExpedienteCompleto
        public List<Interfaces> ListarExpedienteCompleto()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarExpedienteCompleto();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarMetodologia
        public List<Interfaces> ListarMetodologia()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarMetodologia();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarTipoAlta
        public List<Interfaces> ListarTipoAlta()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTipoAlta();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarDisposicionCredito
        public List<Interfaces> ListarDisposicionCredito()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarDisposicionCredito();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarInstitucion
        public List<Interfaces> ListarInstitucion()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarInstitucion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarTipoBaja
        public List<Interfaces> ListarTipoBaja()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTipoBaja();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarPeriodicidadCap
        public List<Interfaces> ListarPeriodicidadCap()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarPeriodicidadCap();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarEntidadCofinanciadora
        public List<Interfaces> ListarEntidadCofinanciadora()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarEntidadCofinanciadora();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarProductoHipotecario
        public List<Interfaces> ListarProductoHipotecario()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarProductoHipotecario();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarTipoSeguro
        public List<Interfaces> ListarTipoSeguro()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTipoSeguro();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarTipoTasaInteres
        public List<Interfaces> ListarTipoTasaInteres()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTipoTasaInteres();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ListarEntidadSeguro
        public List<Interfaces> ListarEntidadSeguro()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarEntidadSeguro();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }


        public List<Area> ListarAreas()
        {
            List<Area> results = null;
            try
            {

                results = AreaDA.ListadoArea();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public List<Interfaces> ListarClasificacionContable()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarClasificacionContable();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        public List<Interfaces> ListarTipoCreditoPromo()
        {
            List<Interfaces> results = null;
            try
            {

                results = InterfacesDA.ListarTipoCreditoPromo();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public SepomexResult ObtineEdoMpoPorCP(string strCP)
        {
            SepomexResult results = null;
            try
            {
                results = InterfacesDA.ObtineEdoMpoPorCP(strCP);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        #endregion

    }
}
